# flutter_chat

A Chat Helper for Flutter using Firebase as backend services.

## Getting Started

Use ChatData.dart for start building your chat.

You can use your own widget in Stateful Widget Class.
Steps:
1. add firebase in your android and ios project
2.  Create a Stateful widget class and call the method in body
    within initState():
    -> ChatData.init("app name",context); 
3. and in body of Widget build:
   -> ChatData.widgetWelcomeScreen(context)

You can use common methods for your application:
## Useful Methods:
1. Auth user from Google SignIn, if user is using app first time,
then user data store in firestore in "users" document,
send true if authenticated,else false
authUsersGoogle() → Future

2. check if user is loggedin with social 
isSignedIn() → Future

3. Check user authentication, if authenticated then show dashboard screen, else login screen
authUser(BuildContext context) → void

4. used to create splash screen, shows splash for 2 sec and then call to check authentication
startTime(BuildContext context) → Future

Now enjoy the chat.